Package ru.bitel.bgbilling.modules.inet.common.bean

# Class TrafficRangeDetailReport

java.lang.Object
ru.bitel.bgbilling.modules.inet.common.bean.TrafficRangeDetailReport

public class TrafficRangeDetailReport extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TrafficRangeDetailReport()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<TrafficRangeDetailValue>`
  `getDetailValueList()`
  `long`
  `getMaxAmount()`
  `int`
  `getMode()`
  `int`
  `getTariffOptionId()`
  `String`
  `getTitle()`
  `long`
  `getTreeNodeId()`
  `int`
  `getType()`
  `TrafficRangeDetailReport`
  `setDetailValueList(List<TrafficRangeDetailValue> trafficRangeDetailList)`
  `TrafficRangeDetailReport`
  `setMaxAmount(long maxAmount)`
  `TrafficRangeDetailReport`
  `setMode(int mode)`
  `TrafficRangeDetailReport`
  `setTariffOptionId(int tariffOptionId)`
  `TrafficRangeDetailReport`
  `setTitle(String title)`
  `TrafficRangeDetailReport`
  `setTreeNodeId(long treeNodeId)`
  `TrafficRangeDetailReport`
  `setType(int type)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TrafficRangeDetailReport

    public TrafficRangeDetailReport()

- ## Method Details

  - ### getTreeNodeId

    public long getTreeNodeId()

  - ### setTreeNodeId

    public TrafficRangeDetailReport setTreeNodeId(long treeNodeId)

  - ### getMode

    public int getMode()

  - ### setMode

    public TrafficRangeDetailReport setMode(int mode)

  - ### getTitle

    public String getTitle()

  - ### setTitle

    public TrafficRangeDetailReport setTitle(String title)

  - ### getType

    public int getType()

  - ### setType

    public TrafficRangeDetailReport setType(int type)

  - ### getTariffOptionId

    public int getTariffOptionId()

  - ### setTariffOptionId

    public TrafficRangeDetailReport setTariffOptionId(int tariffOptionId)

  - ### getMaxAmount

    public long getMaxAmount()

  - ### setMaxAmount

    public TrafficRangeDetailReport setMaxAmount(long maxAmount)

  - ### getDetailValueList

    public List<TrafficRangeDetailValue> getDetailValueList()

  - ### setDetailValueList

    public TrafficRangeDetailReport setDetailValueList(List<TrafficRangeDetailValue> trafficRangeDetailList)